<!DOCTYPE html>
<html lang="en" dir="ltr">
<head> 
    <meta charset="utf-8">
    <link rel="stylesheet" href="{{ url_for('static',filename='styles/partida.css') }}">
    <title>MagiCards</title>
</head>

<body>
 
    <div style="float: left; height: 100vh; padding: 5%; padding-right: 0; margin-left: 10%;">
        <div style="height: 45%; margin: auto 0 auto auto; display: flex; align-content: center;">
            <div style="float: left; width: 120px; text-align: right; margin-right: 10px;"><h2 style="font-size: medium; margin: auto;">ADVERSÁRIO</h2></div>
            <div style="float: right;"><table>
                <tr>
                    <td><img style="float: left; width: 50px; margin: auto" height="30px" src="{{ url_for('static',filename='img/agua.svg') }}"></td>
                    <td><h2 class="pontuacao" style="width: 30px; text-align: center;"></h2></td>
                </tr>
                <tr>
                    <td><img style="float: left;  width: 50px; margin: auto" height="30px" src="{{ url_for('static',filename='img/fogo.svg') }}"></td>
                    <td><h2 class="pontuacao" style="width: 30px; text-align: center;"></h2></td>
                </tr>
                <tr>
                    <td><img style="float: left;  width: 50px; margin: auto" height="30px" src="{{ url_for('static',filename='img/gelo.svg') }}"></td>
                    <td><h2 class="pontuacao" style="width: 30px; text-align: center;"></h2></td>
                </tr>
            </table></div>
        </div>
        <div style="height: 10%; min-width: 100px;">
            <br style="width: auto;">
        </div>
        <div style="height: 45%; margin: auto 0 auto auto; display: flex; align-content: center;">
            <div style="float: left; width: 120px; text-align: right; margin-right: 10px;"><h2 style="font-size: medium; margin: auto;">VOCÊ</h2></div>
            <div style="float: right;"><table>
                <tr>
                    <td><img style="float: left; width: 50px; margin: auto" height="30px" src="{{ url_for('static',filename='img/agua.svg') }}"></td>
                    <td><h2 class="pontuacao" style="width: 30px; text-align: center;"></h2></td>
                </tr>
                <tr>
                    <td><img style="float: left; width: 50px; margin: auto" height="30px" src="{{ url_for('static',filename='img/fogo.svg') }}"></td>
                    <td><h2 class="pontuacao" style="width: 30px; text-align: center;"></h2></td>
                </tr>
                <tr>
                    <td><img style="float: left; width: 50px; margin: auto" height="30px" src="{{ url_for('static',filename='img/gelo.svg') }}"></td>
                    <td><h2 class="pontuacao" style="width: 30px; text-align: center;"></h2></td>
                </tr>
            </table></div>
        </div>
    </div>
    
    <div class="tela">
    <div class="deck"> <!-- agrupamento de cartas -->
        <div>
        <div class="carta_adversario"><h2 style="font-size: 60px; font-weight: 400; color: #A1A9AB;">?</h2></div>
        <div class="carta_adversario"><h2 style="font-size: 60px; font-weight: 400; color: #A1A9AB;">?</h2></div>
        <div class="carta_adversario"><h2 style="font-size: 60px; font-weight: 400; color: #A1A9AB;">?</h2></div>
        <div class="carta_adversario"><h2 style="font-size: 60px; font-weight: 400; color: #A1A9AB;">?</h2></div>
        <div class="carta_adversario"><h2 style="font-size: 60px; font-weight: 400; color: #A1A9AB;">?</h2></div>
        </div>
    </div>

    <div style="min-height: 10%; display: flex; align-content: center;">
        <h1 class="comando">Selecione sua carta</h1>
        <button class="botao_jogada" onclick="fazerJogada()" style="margin: auto;" hidden>FAZER JOGADA</button>
    </div>

    <div class="deck"> <!-- agrupamento de cartas -->
        <div>
        <div class="carta" onclick="selecionarCarta(0)"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="50px"></img></div></div>
        <div class="carta" onclick="selecionarCarta(1)"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="50px"></img></div></div>
        <div class="carta" onclick="selecionarCarta(2)"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="50px"></img></div></div>
        <div class="carta" onclick="selecionarCarta(3)"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="50px"></img></div></div>
        <div class="carta" onclick="selecionarCarta(4)"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="50px"></img></div></div>
        </div>
    </div>
    </div>

</body>

<script>

window.onload = function() {
    iconesElementos()
    carregarPontuacao()
};
cartas = {{cartas|safe}}

carta_selecionada = null
function selecionarCarta(num_carta) {
    if (carta_selecionada != null) {
        carta_anterior = document.getElementsByClassName("carta")[carta_selecionada]
        carta_anterior.style.border = "5px solid #16171A"
    } else {
        habilitarJogada()       
    }
    carta = document.getElementsByClassName("carta")[num_carta]
    carta.style.border = "7px solid goldenrod"
    carta_selecionada = num_carta

}
function habilitarJogada() {
    botao = document.getElementsByClassName("botao_jogada")[0]
    botao.removeAttribute("hidden")
    comando = document.getElementsByClassName('comando')[0]
    comando.style.display = "none"
}
function fazerJogada() {
    const form = document.createElement('form');
    form.method = 'post';
    form.action = '/resultado';

    const hiddenField = document.createElement('input');
    hiddenField.type = 'hidden';
    hiddenField.name = 'carta_selecionada';
    hiddenField.value = carta_selecionada;

    form.appendChild(hiddenField);
    document.body.appendChild(form);
    form.submit();
}
function iconesElementos() {
    local_cartas = document.getElementsByClassName('carta')
    for (let i = 0; i < local_cartas.length; i++) {
        atributo = atributoCarta(cartas[i][0])
        local_cartas[i].className = 'carta '+ atributo[0]
        local_cartas[i].querySelector("img").src = atributo[1]
        local_cartas[i].querySelector("h2").innerHTML = cartas[i][1]
    }
}

function atributoCarta(num) {
    if (num==0) {
        return ["gelo", "{{ url_for('static',filename='img/gelo.svg') }}"] 
    } if (num==1) {
        return ["fogo", "{{ url_for('static',filename='img/fogo.svg') }}"]
    } 
    return ["agua", "{{ url_for('static',filename='img/agua.svg') }}"]
}
function carregarPontuacao() {
    pontuacao = {{pontuacao|safe}}

    pos = document.getElementsByClassName('pontuacao')
    for (let i=0; i<pontuacao.length; i++) {
        pos[i].innerHTML = pontuacao[i]
    }
}
</script>
</html>
